有关线、曲线、圆弧等相关的一系列的UFun函数功能说明

qianyuhua 4年前 4280 75

有关线的函数头文件:
#include <uf_curve.h>
#include <uf_csys.h>
#include <UF_MODL.h>
#include <UF_EVAL.h>

UF_CURVE_create_line //创建一条线(2点)
UF_CURVE_create_line_point_angle //创建一条线(点和角度)
UF_CURVE_create_line_point_point //创建一条线(2点)
UF_CURVE_create_line_point_tangent //创建一条线(过点和曲线相切)
UF_CURVE_create_line_tangent_point //创建一条线(切线和通过一个点)
UF_CURVE_create_bridge_curve //创建切线(2条曲线之间的切线)

UF_CURVE_create_arc //创建弧
UF_CURVE_create_arc_3point //创建3点圆弧
UF_CURVE_create_arc_3tangent //创建弧(三条曲线切圆弧)
UF_CURVE_create_arc_center_radius //创建弧(中心半径)
UF_CURVE_create_arc_center_tangent //创建弧(中心和切线)
UF_CURVE_create_arc_point_center //创建弧(2点:中心和起点)
UF_CURVE_create_arc_point_point_radius //创建弧(两个点和半径)
UF_CURVE_create_arc_point_point_tangent //创建弧(两个点和切线)
UF_CURVE_create_arc_point_tangent_point //创建弧(点、切线、点)
UF_CURVE_create_arc_point_tangent_radius //创建弧(点、切线、半径)
UF_CURVE_create_arc_point_tangent_tangent //创建弧(点、切线、切线)
UF_CURVE_create_arc_tangent_point_point //创建弧(切线、点、点)
UF_CURVE_create_arc_tangent_point_tangent //创建弧(切线、点、切线)
UF_CURVE_create_arc_tangent_tangent_point //创建弧(切线、切线、点)
UF_CURVE_create_arc_tangent_tangent_radius //创建弧(切线、切线、半径)
UF_CURVE_create_arc_thru_3pts //创建弧(通过用户指定的输入3点)

UF_MODL_intersect_objects //2个面交线
UF_CURVE_create_int_object //2个面交线
UF_MODL_create_law //创建规律曲线 太难了没去研究
UF_CURVE_create_joined_curve //曲线链接成一条曲线
UF_CURVE_auto_join_curves //无序曲线,重新排列(封闭曲线如圆、椭圆不能加入)
UF_CURVE_ask_analysis_display //获得曲线显示类型线、圆、圆锥或样条
UF_CURVE_create_wrap_object //缠绕或展开曲线

●●●请先 登陆注册 后查看●●●

UF_CURVE_ask_curve_turn_angle 获得2曲线角度
UF_CURVE_ask_feature_curves 获得曲线特征
UF_CURVE_ask_line_data 获得直线2个端点坐标
UF_CURVE_ask_spline_data 获得样条线参数
UF_CURVE_ask_spline_sap 获得b样条线参数
UF_CURVE_ask_spline_thru_pts 读了样条函数定义的数据结构
UF_CURVE_create_bridge_feature 桥接曲线
UF_CURVE_create_conic 创建一个圆锥曲线
UF_CURVE_create_fillet 曲线倒角
UF_CURVE_create_isocline 创建样条
UF_CURVE_create_offset_curve 偏置曲线
UF_CURVE_create_offset_object 偏置曲线
UF_CURVE_create_proj_curves 创建投影曲线
UF_CURVE_create_shadow_outline 创建轮廓曲线
UF_CURVE_create_silhouette 样条转直线圆弧
UF_CURVE_create_simplified_curve 样条转直线圆弧
UF_CURVE_create_spline 创建样条曲线
UF_CURVE_create_spline_thru_pts 创建一个从输入定义数据指定的样条曲线
UF_CURVE_create_trim 修剪曲线
UF_CURVE_create_wrap_object 创建一个包或打开曲线
UF_CURVE_edit_arc_data 编辑现有的弧
UF_CURVE_edit_bridge_feature 编辑一个桥曲线
UF_CURVE_edit_combine_curves 编辑参数曲线
UF_CURVE_edit_conic_data 编辑一个二次曲线
UF_CURVE_edit_length 编辑曲线的长度。
UF_CURVE_edit_line_arc 编辑圆弧
UF_CURVE_edit_line_data 编辑直线
UF_CURVE_edit_move_mult_points 编辑样条(移动样条上的点)
UF_CURVE_edit_offset_object 编辑偏移曲线

UF_CURVE_edit_proj_curves 编辑投影曲线
UF_CURVE_edit_spline_thru_pts 编辑样条的定义数据
UF_CURVE_edit_trim_curve 编辑修剪曲线边界对象

UF_CURVE_free_curve_struct 释放曲线结构指针获得的功能
UF_CURVE_free_wrap_parms 释放任何所指向的数据结构输入结构
UF_CURVE_intersect 曲线交点

UF_CURVE_section_from_planes 创建截面曲线
UF_CURVE_set_analysis_display 集的值曲线分析显示选项线、圆、圆锥或样条
UF_CURVE_set_spline_sap 集的值(SAP)B-curve形状分析参数

1

承接UG NX二次开发、功能定制、毕业设计、疑难解决、远程培训,胡君QQ:85585969
最新回复 (75)
  • wxwxwxwx 4年前
    1

    谢谢分享。。。。。,,,

  • hzx1495 4年前
    2

    感谢分享!!!!!!!!!!!!

  • xmldmeng 4年前
    3

    谢谢分享。。。。。,,,

  • c1_wangyf 4年前
    4

    好东西一定要顶,加油!

  • leader_ld 4年前
    5

    看看有没有需要的函数

  • jinhehuan 4年前
    6

    绝对好资料!!!!!!!!!!!!!

  • qazqaz000 4年前
    7

    谢谢分享。。。。。,,,

  • zhouyuxing 3年前
    8

    6666666666666

  • q1355188058 3年前
    9

    学习中。。。。。。。。。

  • h15824295982 3年前
    10

    很好很不错谢谢分享很好很不错谢谢分享

  • beiketutu 3年前
    11

    回复:感谢分享!!!!!!!!!!!!

  • xbp08301666 3年前
    12

    很好很不错谢谢分享

  • zhixiang 3年前
    13

    谢谢分享!!!!!!!!!!!!!

  • zxl001 3年前
    14

    感谢分享!!!!!!!!!!!!

  • loxa 3年前
    15

    感謝大大分享999999

  • c18772202707 3年前
    16

    有线的中点的函数么!!!!

  • shelfw 3年前
    17

    感谢分享!非常好的资源!

  • w19910929 3年前
    18

  • 冒险家 3年前
    19

    表示很久没上这个网站,最近不少更新。

  • whd0320 3年前
    20

    感谢分享!!!!!!!!!!!!

请登录后发表新帖